Subject: bug#33170: 27.0.50; interactive spec with cl-defgeneric/method

From: Alex Branham <[email-masked]>
Date: Sat, 27 Oct 2018 09:50:26 -0500

On Sat 27 Oct 2018 at 09:47, Eli Zaretskii <[email-masked]> wrote:

>> (require 'cl-lib)
>>
>> (cl-defgeneric my/test ()
>>   (interactive)
>>   (message "generic"))
>>
>> here, M-x my/test works
>>
>> (cl-defmethod my/test (&context (major-mode emacs-lisp-mode))
>>   (interactive)
>>   (message "method"))
>>
>> Here, M-x my/test does not work.
>
> But "M-: (my/test) RET" does.

Right. I'd like them to be interactive though so I can e.g. use them
from a keymap.

> I don't think generic functions can be interactive.  At least it is
> not documented anywhere that they can be.

Ah, that's unfortunate. Perhaps this limitation should be documented
somewhere?

Thanks,
Alex